#include <htc.h>
#define _XTAL_FREQ  19660800	// 

__CONFIG(0x23F2);   	//extern Xtal HS 19660800
__CONFIG(0x3FFF);	//




void main()			// hoofdloop van het C programma
{
TRISD = 0x00; 		// leds aan PORTC - Output
PORTD = 0xAA;		// alle leds uit

TRISE = 0b00000001; // PINE0 = input
ANSEL = 0b00100000;  // AN5 = AD input - alle andere normal IO
ADCON0 = 0b00010101; //Fosc/2-AN5-ADON (Go/DONE blijft 0)
ADCON1 = 0b00000000; //Meting tussen VDD en VSS- Left justified


while(1)
{
__delay_us(20);			//Acquisition time om C op te laden
ADCON0 = ADCON0 | 0b00000010;  // GO/DONE = 1 met masker
while (ADCON0 & 0b00000010) // zolang AD omzetting bezig is
{
}
PORTD = ~PORTD; //ADRESH; //toon 8 bit resultaat van AD omzetting op leds
}
}